Skip to content
Get started

List leads

GET/leads

Returns a paginated list of leads for the authenticated company. Results are ordered by creation date (newest first).

Query ParametersExpand Collapse
archived: optional boolean

Include archived leads (default false)

limit: optional number

Number of results per page (max 1000)

minimum1
maximum1000
page: optional number

Page number (1-based)

minimum1

Search by name, email, or phone

stage: optional string

Filter by pipeline stage

tags: optional string

Filter by tags (comma-separated). Returns leads that have any of the specified tags.

Header ParametersExpand Collapse
"rotor-api-version": "1.1.0"
ReturnsExpand Collapse
data: optional array of object { id, archived, archived_at, 21 more }
id: optional string
archived: optional boolean
archived_at: optional string
assigned_to: optional string
created_at: optional string
email: optional string
follow_up_date: optional string
lead_source: optional string
location: optional array of number
name: optional string
notes: optional string
phone: optional string
priority: optional "low" or "medium" or "high"
One of the following:
"low"
"medium"
"high"
projected_value: optional number
property_city: optional string
property_country: optional string
property_state: optional string
property_street1: optional string
property_street2: optional string
property_zip: optional string
service_type: optional string
stage: optional string

Pipeline stage

tags: optional array of string
value_score: optional number

Whether more pages are available

Total number of matching records

status: optional string

List leads

curl https://api.getrotor.com/open-api/leads \
    -H "x-api-key: $ROTOR_API_KEY"
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "archived": true,
      "archived_at": "2019-12-27T18:11:19.117Z",
      "assigned_to": "assigned_to",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "follow_up_date": "2019-12-27T18:11:19.117Z",
      "lead_source": "lead_source",
      "location": [
        0
      ],
      "name": "name",
      "notes": "notes",
      "phone": "phone",
      "priority": "low",
      "projected_value": 0,
      "property_city": "property_city",
      "property_country": "property_country",
      "property_state": "property_state",
      "property_street1": "property_street1",
      "property_street2": "property_street2",
      "property_zip": "property_zip",
      "service_type": "service_type",
      "stage": "stage",
      "tags": [
        "string"
      ],
      "value_score": 0
    }
  ],
  "pagination": {
    "has_more": true,
    "limit": 50,
    "page": 1,
    "total": 142
  },
  "status": "success"
}
{
  "status": "error",
  "message": "Authentication required. Provide x-api-key header.",
  "error_code": "AUTHENTICATION_REQUIRED"
}
{
  "status": "error",
  "message": "Forbidden: required scope 'leads:read' not granted for this API key",
  "error_code": "INSUFFICIENT_SCOPE"
}
{
  "status": "error",
  "message": "Daily API key request limit of 1000 exceeded",
  "error_code": "RATE_LIMIT_EXCEEDED"
}
{
  "status": "error",
  "message": "Internal server error"
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "archived": true,
      "archived_at": "2019-12-27T18:11:19.117Z",
      "assigned_to": "assigned_to",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "follow_up_date": "2019-12-27T18:11:19.117Z",
      "lead_source": "lead_source",
      "location": [
        0
      ],
      "name": "name",
      "notes": "notes",
      "phone": "phone",
      "priority": "low",
      "projected_value": 0,
      "property_city": "property_city",
      "property_country": "property_country",
      "property_state": "property_state",
      "property_street1": "property_street1",
      "property_street2": "property_street2",
      "property_zip": "property_zip",
      "service_type": "service_type",
      "stage": "stage",
      "tags": [
        "string"
      ],
      "value_score": 0
    }
  ],
  "pagination": {
    "has_more": true,
    "limit": 50,
    "page": 1,
    "total": 142
  },
  "status": "success"
}
{
  "status": "error",
  "message": "Authentication required. Provide x-api-key header.",
  "error_code": "AUTHENTICATION_REQUIRED"
}
{
  "status": "error",
  "message": "Forbidden: required scope 'leads:read' not granted for this API key",
  "error_code": "INSUFFICIENT_SCOPE"
}
{
  "status": "error",
  "message": "Daily API key request limit of 1000 exceeded",
  "error_code": "RATE_LIMIT_EXCEEDED"
}
{
  "status": "error",
  "message": "Internal server error"
}